# Ecrit ton programme ici ;-)
from microbit import *
import radio

radio.on()

# set new variable names to make ut readable
pin_step_l = pin2
pin_step_r = pin8
pin_dir_l = pin12
pin_dir_r = pin1

# define useful functions
def setSpeedLeft(speedL):
    # speedL can go from -100 to 100
    # while we want our period to be 1000 or more
    if abs(speedL)>10:
        periodms = int(1000*100./abs(speedL))
        pin_step_l.write_analog(511)#pulse every period
        pin_step_l.set_analog_period_microseconds(periodms)
    else:
        pin_step_l.write_analog(0)#no pulse as duty cycle = 0

    # set direction
    if speedL>0:
        pin_dir_l.write_digital(1)
    else:
        pin_dir_l.write_digital(0)

def setSpeedRight(speedR):
    #set the speed
    if abs(speedR)>10:
        periodms = int(1000*100./abs(speedR))
        pin_step_r.write_analog(511)
        pin_step_r.set_analog_period_microseconds(periodms)
    else:
        pin_step_r.write_analog(0)

    # set direction
    if speedR>0:
        pin_dir_r.write_digital(1)
    else:
        pin_dir_r.write_digital(0)

# init
display.scroll("radMov")
standBy = False

while True:
    if button_a.was_pressed():
        standBy = not(standBy)
        if standBy:
            setSpeedLeft(0)
            setSpeedRight(0)


    if not(standBy):
        incoming = radio.receive()
        if incoming :
            # if a radio signal is received, check it's validity
            splitIncoming = str.split(incoming,";")
            if len(splitIncoming) == 3:
                print(splitIncoming)
                speedL = int(splitIncoming[0])#should be in between -100 and 100
                speedR = int(splitIncoming[1])
                checkSum = int(splitIncoming[2])

                # if the checkSum is valid then set the speeds
                if checkSum == speedL+speedR :
                    setSpeedLeft(speedL)
                    setSpeedRight(speedR)

    sleep(100)